<?php

/**
 * This file is part of the Nette Framework (http://nette.org)
 *
 * Copyright (c) 2004 David Grudl (http://davidgrudl.com)
 *
 * For the full copyright and license information, please view
 * the file license.txt that was distributed with this source code.
 * @package Nette\Mail
 */



/**
 * Sends e-mails via the PHP internal mail() function.
 *
 * @author     David Grudl
 * @package Nette\Mail
 */
class NSendmailMailer extends NObject implements IMailer
{

	/**
	 * Sends e-mail.
	 * @param  NMail
	 * @return void
	 */
	public function send(NMail $mail)
	{
		$tmp = clone $mail;
		$tmp->setHeader('Subject', NULL);
		$tmp->setHeader('To', NULL);

		$parts = explode(NMail::EOL . NMail::EOL, $tmp->generateMessage(), 2);

		NTools::tryError();
		$res = mail(
			str_replace(NMail::EOL, PHP_EOL, $mail->getEncodedHeader('To')),
			str_replace(NMail::EOL, PHP_EOL, $mail->getEncodedHeader('Subject')),
			str_replace(NMail::EOL, PHP_EOL, $parts[1]),
			str_replace(NMail::EOL, PHP_EOL, $parts[0])
		);

		if (NTools::catchError($msg)) {
			throw new InvalidStateException($msg);

		} elseif (!$res) {
			throw new InvalidStateException('Unable to send email.');
		}
	}

}
