<?php

/**
 * Test: NRules::validateMessage()
 *
 * @author     David Grudl
 * @package    Nette\Forms
 * @subpackage UnitTests
 */



require dirname(__FILE__) . '/../bootstrap.php';



$form = new NForm;
$form->addText('email', 'E-mail')
	->addRule(NForm::EMAIL, '%label %value is invalid [field %name]')
	->setDefaultValue('xyz');

Assert::match('%A%
nette.forms["frm-"] = {
	validators: {
		"email": function(sender) {
			var res, val, form = sender.form || sender;
			res = /^[^@\s]+@[^@\s]+\.[a-z]{2,10}$/i.test(val = nette.getValue(form["email"]));
			if (!res) return "E-mail %value is invalid [field email]".replace(\'%value\', val);
			;
		}
	},
%A%', (string) $form);

$form->validate();

Assert::same( array(
	"E-mail xyz is invalid [field email]",
), $form->getErrors() );
