<?php

/**
 * Test: NLatteFilter::formatString()
 *
 * @author     David Grudl
 * @package    Nette\Templates
 * @subpackage UnitTests
 */



require dirname(__FILE__) . '/../bootstrap.php';



Assert::same( '""',  NLatteFilter::formatString('') );
Assert::same( '" "',  NLatteFilter::formatString(' ') );
Assert::same( "0",  NLatteFilter::formatString('0') );
Assert::same( "-0.0",  NLatteFilter::formatString('-0.0') );
Assert::same( '"symbol"',  NLatteFilter::formatString('symbol') );
Assert::same( "\$var",  NLatteFilter::formatString('$var') );
Assert::same( '"symbol$var"',  NLatteFilter::formatString('symbol$var') );
Assert::same( "'var'",  NLatteFilter::formatString("'var'") );
Assert::same( '"var"',  NLatteFilter::formatString('"var"') );
Assert::same( '"v\\"ar"',  NLatteFilter::formatString('"v\\"ar"') );
Assert::same( "'var\"",  NLatteFilter::formatString("'var\"") );
